---
- name: install python
  apt:
    name:
      - python3
      - python3-pip

- name: install required pip packages
  pip:
    name:
      - docker
      - docker-compose

- name: create project directory
  file:
    path: ./django-blog-{{ docker_compose_project_dir }}
    state: directory

- name: deploy docker-compose file
  template:
    src: docker-compose.yml.j2
    dest: ./django-blog-{{ docker_compose_project_dir }}/docker-compose.yml

- name: start docker-compose
  community.general.docker_compose:
    project_src: django-blog-{{ docker_compose_project_dir }}
